<mamecheat version="1">

  <cheat desc="Infinite Credits">
    <script state="run">
      <action>maincpu.pb@FFDAFE=09</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Time PL1">
    <script state="run">
      <action>maincpu.pb@FFDBA6=00</action>
    </script>
  </cheat>

  <cheat desc="Go to level 99 PL1"> <comment>Use on 'level select' screen</comment>
    <script state="on">
      <action>maincpu.pb@FFDB80=62</action>
    </script>
  </cheat>

  <cheat desc="Select next level PL1">
    <parameter min="1" max="99" step="1"/>
    <script state="change">
      <action>maincpu.pb@FFDB80=(param-1)</action>
    </script>
  </cheat>

  <cheat desc="Difficulty always set = 0 PL1">
    <script state="run">
      <action>maincpu.pb@FFDB81=00</action>
    </script>
  </cheat>

  <cheat desc="Always 'power' PL1">
    <script state="run">
      <action>maincpu.pb@FFDBAE=80</action>
    </script>
  </cheat>

  <cheat desc="Set Difficulty to 0 Now! PL1">
    <script state="on">
      <action>maincpu.pb@FFDB81=00</action>
    </script>
  </cheat>

  <cheat desc="Get 'power' Now! PL1">
    <script state="on">
      <action>maincpu.pb@FFDBAE=80</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Time PL2">
    <script state="run">
      <action>maincpu.pb@FFDC50=00</action>
    </script>
  </cheat>

  <cheat desc="Go to level 99 PL2"> <comment>Use on 'level select' screen</comment>
    <script state="on">
      <action>maincpu.pb@FFDC2A=62</action>
    </script>
  </cheat>

  <cheat desc="Select next level PL2">
    <parameter min="1" max="99" step="1"/>
    <script state="change">
      <action>maincpu.pb@FFDC2A=(param-1)</action>
    </script>
  </cheat>

  <cheat desc="Difficulty always set = 0 PL2">
    <script state="run">
      <action>maincpu.pb@FFDC2B=00</action>
    </script>
  </cheat>

  <cheat desc="Always 'power' PL2">
    <script state="run">
      <action>maincpu.pb@FFDC58=80</action>
    </script>
  </cheat>

  <cheat desc="Set Difficulty to 0 Now! PL2">
    <script state="on">
      <action>maincpu.pb@FFDC2B=00</action>
    </script>
  </cheat>

  <cheat desc="Get 'power' Now! PL2">
    <script state="on">
      <action>maincpu.pb@FFDC58=80</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
